#include "arc/engine/state.h"
#include <stddef.h>

void ARC_State_Update(void *data){
    ((ARC_State *)data)->updateFn(((ARC_State *)data)->data);
}

void ARC_State_Render(void *data){
    ((ARC_State *)data)->renderFn(((ARC_State *)data)->data);
}